Package net.md_5.bungee.protocol.packet

# Class Team

java.lang.Object
net.md_5.bungee.protocol.DefinedPacket
net.md_5.bungee.protocol.packet.Team

public class Team extends DefinedPacket

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Team.CollisionRule`
  `static enum`
  `Team.NameTagVisibility`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Team()`
  `Team(String name)`
  Packet to destroy a team.
  `Team(String name, byte mode, Either<String,net.md_5.bungee.api.chat.BaseComponent> displayName, Either<String,net.md_5.bungee.api.chat.BaseComponent> prefix, Either<String,net.md_5.bungee.api.chat.BaseComponent> suffix, Either<String,Team.NameTagVisibility> nameTagVisibility, Either<String,Team.CollisionRule> collisionRule, int color, byte friendlyFire, String[] players)`
  Creates a new `Team` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `Either<String,Team.CollisionRule>`
  `getCollisionRule()`
  `int`
  `getColor()`
  `Either<String,net.md_5.bungee.api.chat.BaseComponent>`
  `getDisplayName()`
  `byte`
  `getFriendlyFire()`
  `byte`
  `getMode()`
  0 - create, 1 remove, 2 info update, 3 player add, 4 player remove.
  `String`
  `getName()`
  `Either<String,Team.NameTagVisibility>`
  `getNameTagVisibility()`
  `String[]`
  `getPlayers()`
  `Either<String,net.md_5.bungee.api.chat.BaseComponent>`
  `getPrefix()`
  `Either<String,net.md_5.bungee.api.chat.BaseComponent>`
  `getSuffix()`
  `void`
  `handle(AbstractPacketHandler handler)`
  `int`
  `hashCode()`
  `void`
  `read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`
  `void`
  `setCollisionRule(Either<String,Team.CollisionRule> collisionRule)`
  `void`
  `setColor(int color)`
  `void`
  `setDisplayName(Either<String,net.md_5.bungee.api.chat.BaseComponent> displayName)`
  `void`
  `setFriendlyFire(byte friendlyFire)`
  `void`
  `setMode(byte mode)`
  0 - create, 1 remove, 2 info update, 3 player add, 4 player remove.
  `void`
  `setName(String name)`
  `void`
  `setNameTagVisibility(Either<String,Team.NameTagVisibility> nameTagVisibility)`
  `void`
  `setPlayers(String[] players)`
  `void`
  `setPrefix(Either<String,net.md_5.bungee.api.chat.BaseComponent> prefix)`
  `void`
  `setSuffix(Either<String,net.md_5.bungee.api.chat.BaseComponent> suffix)`
  `String`
  `toString()`
  `void`
  `write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`

  ### Methods inherited from class net.md_5.bungee.protocol.DefinedPacket

  `nextProtocol, read, read, readArray, readArray, readBaseComponent, readBaseComponent, readComponentStyle, readEitherBaseComponent, readEnumSet, readFixedBitSet, readLengthPrefixed, readNullable, readNumberFormat, readProperties, readPublicKey, readString, readString, readStringArray, readStringMapKey, readTag, readTag, readUUID, readVarInt, readVarInt, readVarIntArray, readVarShort, setVarInt, toArray, write, write, writeArray, writeBaseComponent, writeComponentStyle, writeEitherBaseComponent, writeEnumSet, writeFixedBitSet, writeLengthPrefixed, writeNullable, writeNumberFormat, writeProperties, writePublicKey, writeString, writeString, writeStringArray, writeTag, writeUUID, writeVarInt, writeVarShort`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Team

    public Team(String name)
    Packet to destroy a team.
    Parameters:
      `name` - team name

  - ### Team

    public Team()

  - ### Team

    public Team(String name, byte mode, Either<String,net.md_5.bungee.api.chat.BaseComponent> displayName, Either<String,net.md_5.bungee.api.chat.BaseComponent> prefix, Either<String,net.md_5.bungee.api.chat.BaseComponent> suffix, Either<String,Team.NameTagVisibility> nameTagVisibility, Either<String,Team.CollisionRule> collisionRule, int color, byte friendlyFire, String[] players)
    Creates a new `Team` instance.
    Parameters:
      `name` -
      `mode` - 0 - create, 1 remove, 2 info update, 3 player add, 4 player remove.
      `displayName` -
      `prefix` -
      `suffix` -
      `nameTagVisibility` -
      `collisionRule` -
      `color` -
      `friendlyFire` -
      `players` -

- ## Method Details

  - ### read

    public void read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `read` in class `DefinedPacket`

  - ### write

    public void write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `write` in class `DefinedPacket`

  - ### handle

    public void handle(AbstractPacketHandler handler) throws Exception
    Specified by:
      `handle` in class `DefinedPacket`
    Throws:
      `Exception`

  - ### getName

    public String getName()

  - ### getMode

    public byte getMode()
    0 - create, 1 remove, 2 info update, 3 player add, 4 player remove.

  - ### getDisplayName

    public Either<String,net.md_5.bungee.api.chat.BaseComponent> getDisplayName()

  - ### getPrefix

    public Either<String,net.md_5.bungee.api.chat.BaseComponent> getPrefix()

  - ### getSuffix

    public Either<String,net.md_5.bungee.api.chat.BaseComponent> getSuffix()

  - ### getNameTagVisibility

    public Either<String,Team.NameTagVisibility> getNameTagVisibility()

  - ### getCollisionRule

    public Either<String,Team.CollisionRule> getCollisionRule()

  - ### getColor

    public int getColor()

  - ### getFriendlyFire

    public byte getFriendlyFire()

  - ### getPlayers

    public String[] getPlayers()

  - ### setName

    public void setName(String name)

  - ### setMode

    public void setMode(byte mode)
    0 - create, 1 remove, 2 info update, 3 player add, 4 player remove.

  - ### setDisplayName

    public void setDisplayName(Either<String,net.md_5.bungee.api.chat.BaseComponent> displayName)

  - ### setPrefix

    public void setPrefix(Either<String,net.md_5.bungee.api.chat.BaseComponent> prefix)

  - ### setSuffix

    public void setSuffix(Either<String,net.md_5.bungee.api.chat.BaseComponent> suffix)

  - ### setNameTagVisibility

    public void setNameTagVisibility(Either<String,Team.NameTagVisibility> nameTagVisibility)

  - ### setCollisionRule

    public void setCollisionRule(Either<String,Team.CollisionRule> collisionRule)

  - ### setColor

    public void setColor(int color)

  - ### setFriendlyFire

    public void setFriendlyFire(byte friendlyFire)

  - ### setPlayers

    public void setPlayers(String[] players)

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `DefinedPacket`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in class `DefinedPacket`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `DefinedPacket`